## r-cran-fastmap 1.0.1

=== DESCRIPTION ===
Package: fastmap
Title: Fast Implementation of a Key-Value Store
Version: 1.0.1
Authors@R: c(
    person("Winston", "Chang", email = "winston@rstudio.com", role = c("aut", "cre")),
    person(given = "RStudio", role = c("cph", "fnd")),
    person(given = "Tessil", role = "cph", comment = "hopscotch_map library")
    )
Description: Fast implementation of a key-value store. Environments are commonly
    used as key-value stores, but every time a new key is used, it is added to
    R's global symbol table, causing a small amount of memory leakage. This can
    be problematic in cases where many different keys are used. Fastmap avoids
    this memory leak issue by implementing the map using data structures in C++.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Suggests: testthat (>= 2.1.1)
URL: https://r-lib.github.io/fastmap/, https://github.com/r-lib/fastmap
BugReports: https://github.com/r-lib/fastmap/issues
NeedsCompilation: yes
Packaged: 2019-10-07 23:14:48 UTC; winston
Author: Winston Chang [aut, cre],
  RStudio [cph, fnd],
  Tessil [cph] (hopscotch_map library)
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2019-10-08 05:20:02 UTC

=== debian/changelog ===
r-cran-fastmap (1.0.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:39 +0100

r-cran-fastmap (1.0.1-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jan 2020 08:26:42 +0100

r-cran-fastmap (1.0.1-1) unstable; urgency=medium

  * Initial release (closes: #944723)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 11:50:28 +0100

=== debian/control ===
Source: r-cran-fastmap
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmap
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmap.git
Homepage: https://cran.r-project.org/package=fastmap

Package: r-cran-fastmap
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast implementation of a key-value store
 Fast implementation of a key-value store. Environments are commonly
 used as key-value stores, but every time a new key is used, it is added to
 R's global symbol table, causing a small amount of memory leakage. This can
 be problematic in cases where many different keys are used. Fastmap avoids
 this memory leak issue by implementing the map using data structures in C++.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/fastmap_([-\d.]*)\.tar\.gz

## r-cran-fastmap 1.1.0

=== DESCRIPTION ===
Package: fastmap
Title: Fast Data Structures
Version: 1.1.0
Authors@R: c(
    person("Winston", "Chang", email = "winston@rstudio.com", role = c("aut", "cre")),
    person(given = "RStudio", role = c("cph", "fnd")),
    person(given = "Tessil", role = "cph", comment = "hopscotch_map library")
    )
Description: Fast implementation of data structures, including a key-value
    store, stack, and queue. Environments are commonly used as key-value stores
    in R, but every time a new key is used, it is added to R's global symbol
    table, causing a small amount of memory leakage. This can be problematic in
    cases where many different keys are used. Fastmap avoids this memory leak
    issue by implementing the map using data structures in C++.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Suggests: testthat (>= 2.1.1)
URL: https://r-lib.github.io/fastmap/, https://github.com/r-lib/fastmap
BugReports: https://github.com/r-lib/fastmap/issues
NeedsCompilation: yes
Packaged: 2021-01-25 20:28:54 UTC; winston
Author: Winston Chang [aut, cre],
  RStudio [cph, fnd],
  Tessil [cph] (hopscotch_map library)
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2021-01-25 21:00:02 UTC

=== debian/changelog ===
r-cran-fastmap (1.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jan 2021 08:27:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmap.git
 Homepage: https://cran.r-project.org/package=fastmap
+Rules-Requires-Root: no
 
 Package: r-cran-fastmap
 Architecture: any

## r-cran-fastmap 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: fastmap
 Title: Fast Data Structures
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
     person("Winston", "Chang", email = "winston@rstudio.com", role = c("aut", "cre")),
     person(given = "RStudio", role = c("cph", "fnd")),
@@ -14,16 +14,15 @@
     issue by implementing the map using data structures in C++.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
 Suggests: testthat (>= 2.1.1)
 URL: https://r-lib.github.io/fastmap/, https://github.com/r-lib/fastmap
 BugReports: https://github.com/r-lib/fastmap/issues
 NeedsCompilation: yes
-Packaged: 2021-01-25 20:28:54 UTC; winston
+Packaged: 2023-02-24 16:01:27 UTC; winston
 Author: Winston Chang [aut, cre],
   RStudio [cph, fnd],
   Tessil [cph] (hopscotch_map library)
 Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-01-25 21:00:02 UTC
+Date/Publication: 2023-02-24 16:30:02 UTC

=== debian/changelog ===
r-cran-fastmap (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Feb 2023 21:18:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-fastmap
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmap
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmap.git
+Homepage: https://cran.r-project.org/package=fastmap
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmap
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmap.git
-Homepage: https://cran.r-project.org/package=fastmap
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-fastmap
 Architecture: any

## r-cran-fastmap 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: fastmap
 Title: Fast Data Structures
-Version: 1.1.1
+Version: 1.2.0
 Authors@R: c(
-    person("Winston", "Chang", email = "winston@rstudio.com", role = c("aut", "cre")),
-    person(given = "RStudio", role = c("cph", "fnd")),
+    person("Winston", "Chang", email = "winston@posit.co", role = c("aut", "cre")),
+    person(given = "Posit Software, PBC", role = c("cph", "fnd")),
     person(given = "Tessil", role = "cph", comment = "hopscotch_map library")
     )
 Description: Fast implementation of data structures, including a key-value
@@ -19,10 +19,10 @@
 URL: https://r-lib.github.io/fastmap/, https://github.com/r-lib/fastmap
 BugReports: https://github.com/r-lib/fastmap/issues
 NeedsCompilation: yes
-Packaged: 2023-02-24 16:01:27 UTC; winston
+Packaged: 2024-05-14 17:54:13 UTC; winston
 Author: Winston Chang [aut, cre],
-  RStudio [cph, fnd],
+  Posit Software, PBC [cph, fnd],
   Tessil [cph] (hopscotch_map library)
-Maintainer: Winston Chang <winston@rstudio.com>
+Maintainer: Winston Chang <winston@posit.co>
 Repository: CRAN
-Date/Publication: 2023-02-24 16:30:02 UTC
+Date/Publication: 2024-05-15 09:00:07 UTC

=== debian/changelog ===
r-cran-fastmap (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 06 Sep 2024 13:47:32 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fastmap
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fastmap.git
 Homepage: https://cran.r-project.org/package=fastmap
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 2.1.1)
Restrictions: allow-stderr
